Loading ...
Sorry, an error occurred while loading the content.

Re: [PATCH] Protect read of g:Perl_PerlTags with exists()

Expand Messages
  • Benjamin R. Haskell
    ... Sorry, should have clarified, since that was most of my confusion initially: mine doesn t look like that either. The perl-support script has its own
    Message 1 of 10 , Oct 27, 2010
    • 0 Attachment
      On Wed, 27 Oct 2010, Bram Moolenaar wrote:

      >
      > Benjamin Haskell wrote:
      >
      >> There's an unprotected check of one of the configuration variables.
      >> It's only triggered when you set ft=perl from .vimrc because the
      >> plugin hasn't been loaded yet.
      >>
      >> [...]
      >>
      >> Pushed to http://github.com/benizi/perl-support.vim
      >>
      >> [...patch to ftplugin/perl.vim...]
      >
      > My ftplugin/perl.vim doesn't look anything like this. The header is:

      Sorry, should have clarified, since that was most of my confusion
      initially: mine doesn't look like that either. The perl-support script
      has its own ftplugin/perl.vim. Patch is against the script, not Vim
      proper.

      Under Gentoo, perl-support.vim's ftplugin/perl.vim gets installed into
      /usr/share/vim/vimfiles/ftplugin/perl.vim (rather than
      /usr/share/vim/vim73/ftplugin/perl.vim)

      --
      Best,
      Ben

      --
      You received this message from the "vim_use" maillist.
      Do not top-post! Type your reply below the text you are replying to.
      For more information, visit http://www.vim.org/maillist.php
    Your message has been successfully submitted and would be delivered to recipients shortly.